attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec3 a_normal;

varying vec2 v_texcoord;
varying vec3 v_normal;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    
    v_normal = CC_NormalMatrix * a_normal;
    
    v_texcoord = a_texCoord;
    v_texcoord.y = 1.0 - v_texcoord.y;
}
