
-- Player達のinをノベルで完全制御
btSetTransitionType(TRANSITION_NONE)

---------------------------
-- mt028_Start.lua
---------------------------
btPauseStateMachine(true)
btApplyOffsetPosition(false) -- 配置オフセットを無効にする

-- タコ 登場演出
bgm("sound/bgm/bgm_bt_quest_04")

local actorId = getEnemyCharacterId(1)
btVisibleOnly(actorId)
btDenailDeadAction(actorId)

btCamera("3d/camera/mt028001_entry_cam.c3b", actorId)
local duration = btCharacterAnim(actorId, "3d/anim/battle/mt028001_entry.c3b", HOLD)
wait(duration - FtoS(61))

wait(FtoS(1))
btSE("se_bt_entry_3028")

feedbackBlur(18, 1, 1.8, 0.1, 70)

-- 毒瘴気
btParticleOffset( 0, -50, 0)
btParticle(actorId, "ef_bf_poison.bmb", 4.5, 1)

wait(FtoS(4))

btParticleOffset( 0, -50, 0)
btParticle(actorId, "ef_bf_poison.bmb", 5, 1.6)

wait(FtoS(48))

-- name演出
se("se_4005")
ccb("ccbi/parts/battle/animation/BattleAnimationBossIn.ccbi")
ccbTexture("name", "2d/character/mt028001/battle_boss_name_001.png")

wait(2)

-- btFade(0.0, 1.0, 0.3)

-- wait(0.6)

-- btCameraDefault()
-- btCharacterAnimDefault(actorId)
-- btGroupVisible(friend, true)

-- wait(0.2)
-- btPauseStateMachine(false)


---------------------------
-- オリジナル、ここから
---------------------------
d3Activate(45)
btPauseStateMachine(true)

-- Setup Power
-- hp, attack, defense, speed, criticalRate, criticalDamage, effectRate, effectResistance
btCharacterPower(getPlayerCharacterId(0), 18560, 5232, 532, 118, 100, 432, 100, 100) -- ライゴウ
btCharacterPower(getPlayerCharacterId(1), 14521, 6736,  696, 122, 100, 550, 100, 100) -- 神羅
btCharacterPower(getPlayerCharacterId(2), 12894, 3859,  486, 121, 100, 180, 100, 100) -- ツクト
btCharacterPower(getPlayerCharacterId(3), 21623, 835, 511, 119, 30, 70, 100, 100) -- サクヤ

--カモメLV40の値をコピー(調整でHP2/3)
btCharacterPower(getEnemyCharacterId(0),  9282,   500,  821,  95,  54,  89,  54, 54) -- カモメ
--タコ LV60の値をコピー(状態異常をかけたくないので的中は0)
btCharacterPower(getEnemyCharacterId(1), 45630, 3296, 1411, 120, 100, 140, 0, 75) -- タコ
--カモメLV40の値をコピー(調整でHP2/3)
btCharacterPower(getEnemyCharacterId(2),  9282,   500,  821,  95,  54,  89,  54, 54) -- カモメ

--

--【神羅】
setCharacter(R,201001,sadA)
setCharacterBg(R, beige)
animateCharacter(R, slideIn)
startAnimation()
emotion(R, noisy)
setSpeaker(R)
speak([[
オゥオゥ。
また派手なケガレが現れやがったなァ。
]])

outTextBox()
animateCharacter(R, slideOut)
startAnimation()

--
btVisibleAll()
btApplyOffsetPosition(true) -- 配置オフセットを有効にする
btGroupVisible(enemy, false)
btCharacterAnimDefault(actorId)

local seconds = 4.0
d3SetCameraPosition(-310.180756,86.395187,422.543274)
d3SetCameraRotation(179.990250,-51.122032,180.000000)
d3SetCameraPosition(-483.935852,95.037216,638.051880, seconds, TWEEN_EASE_IN_OUT)
d3SetCameraRotation(179.990250,-51.122032,180.000000, seconds, TWEEN_EASE_IN_OUT)

function MoveCharacter(index, sec)
    local id = getPlayerCharacterId(index)
    local x, y, z = d3GetCharacterPosition(id)
    d3SetCharacterPosition(id, x, y, z + 160 * sec)
    d3SetCharacterMove(id, x, y, z, sec)
    d3AnimateCharacter(id, "3d/anim/battle/ch001001_walk.c3b", 1, -1, false)
end
function StayCharacter(index)
    local id = getPlayerCharacterId(index)
    d3AnimateCharacter(id, AnimBattleBuf, 1, -1, true)
end
MoveCharacter(3, 0.2)
MoveCharacter(2, 0.4)
MoveCharacter(1, 2.4)
MoveCharacter(0, 3.0)
wait(0.2)
StayCharacter(3)
wait(0.2)
StayCharacter(2)
wait(2.0)
StayCharacter(1)
wait(0.6)
StayCharacter(0)
wait(1.5)

--

--【神羅】
setCharacter(R,201001,normalA)
setCharacterBg(R, red)
animateCharacter(R, slideIn)
startAnimation()
emotion(R, exclamation)
setSpeaker(R)
speak([[
いいか、ケガレとの戦いは命がけだ。
戦況を見て的確な判断を下せ。
]])

setCharacter(R,201001,surprisedA)
setCharacterBg(R, red)
emotion(R, sweat)
setSpeaker(R)
speak([[
じゃないと部隊が全滅・・・
そんなこともザラじゃねェさ。
]])

setCharacter(R,201001,relaxA)
setCharacterBg(R, red)
emotion(R, waiwai)
setSpeaker(R)
speak([[
そんじゃ、頼むぜェ
]])

outTextBox()
animateCharacter(R, slideOut)
startAnimation()

btCameraDefault()
btGroupVisible(enemy, true)
btPauseStateMachine(false)

--
btSetUserValue("ForceTargetSkillIndex", "0")
btSetUserValue("ForceTargetCharacterIndex", "1")
btSetUserValue("ForceTargetSkillText", "まずはワシが攻撃する。\nスキルを選んでくれィ！")
btSetUserValue("ForceTargetSkillTextExpression", "6")
btSetUserValue("ForceTargetCharacterText", "次は攻撃対象だ。\nあのタコからいこうかィ。")
btSetUserValue("ForceTargetCharacterTextExpression", "3")

btSetPreferentialSkill(actorId, 2)

-- NORMAL = 1,
-- SAD,
-- ANGRY,
-- SURPRISED,
-- RELAX,
-- SMILE,
while true do
    if btGetTurn() == 2 then
        btSetUserValue("ForceTargetSkillIndex", "3")
        btSetUserValue("ForceTargetCharacterIndex", "1")
        btSetUserValue("ForceTargetSkillText", "この調子で、他の\nカムライにも指示だ！")
        btSetUserValue("ForceTargetCharacterText", "次は全体攻撃で\n一気に蹴散らせィ！")
        break
    end
    coroutine.yield()
end

while true do
    if btGetTurn() == 4 then
        btSetUserValue("ForceTargetSkillIndex", "3")
        btSetUserValue("ForceTargetCharacterIndex", "1")
        btSetUserValue("ForceTargetSkillText", "クッ・・・なんて瘴気だ。\nこりゃキツイな・・・")
        btSetUserValue("ForceTargetCharacterText", "回復スキルで\n戦況を持ち直せィ。")
        btSetUserValue("ForceTargetCharacterTextExpression", "5")
        break
    end
    coroutine.yield()
end

while true do
    if btGetTurn() == 5 then
        btSetUserValue("ForceTargetSkillIndex", "3")
        btSetUserValue("ForceTargetCharacterIndex", "1")
        btSetUserValue("ForceTargetSkillText", "最後は大技で行くぜィ！\n奥義スキルだァ！")
        btSetUserValue("ForceTargetSkillTextExpression", "3")
        btSetUserValue("ForceTargetCharacterText", "")
        btSetUserValue("ForceTargetCharacterTextExpression", "1")
        break
    end
    coroutine.yield()
end

-- 戦闘終了待ち
while true do
    local state = btGetState()
    if state == STATE_WIN or state == STATE_LOSE then
        break
    end
    if btGetTurn() == 6 then
        btSetUserValue("ForceTargetSkillIndex", "-1")
        btSetUserValue("ForceTargetCharacterIndex", "-1")
    end
    coroutine.yield()
end

---------------------------
-- mt028_Start.lua
---------------------------
btPauseStateMachine(true)

btGroupVisible(friend, false)

-- local actorId = getEnemyCharacterId(0)
btCamera("3d/camera/mt028001_die_cam.c3b", actorId)
local duration = btCharacterAnim(actorId, "3d/anim/battle/mt028001_die.c3b", HOLD)

wait(0.5)

btParticleOffset( 0, 0, 100)
btParticle(actorId, "ef_bf_poison.bmb", 8, 0.8)

wait(1.2)

btParticleOffset( 0, 0, 150)
btParticle(actorId, "ef_bs_buff_out.bmb", 1.8, 0.6)

wait(3)

btCameraDefault()
btGroupVisible(friend, true)
btGroupVisible(enemy, false)

-- btPauseStateMachine(false)


---------------------------
-- オリジナル、ここから
---------------------------

--【神羅】
setCharacter(R,201001,smileA)
animateCharacter(R, slideIn)
startAnimation()
emotion(R, waiwai)
setSpeaker(R)
speak([[
ハッハッハ！
やるじゃねェか！
]])

--【神羅】
setCharacter(R,201001,relax)
setSpeaker(R)
speak([[
トレーナー演習はこれにて終了！
]])

--【神羅】
setCharacter(R,201001,normalA)
emotion(R, exclamation)
setSpeaker(R)
speak([[
カムライ本部に帰還する！
]])

outTextBox()
animateCharacter(R, slideOut)
startAnimation()

wait(1.0)

btPauseStateMachine(false)

